import org.openrdf.model.Statement;
import org.openrdf.model.Graph;


public class MyRDFHandler implements org.openrdf.rio.RDFHandler {
    Graph graph;

    public MyRDFHandler() {
        graph = new org.openrdf.model.impl.GraphImpl();
    }
        
    public void startRDF() {
        //System.out.println("Parsing RDF...");
    }

    public void endRDF() {
        //System.out.println("...RDF parsed");
    }

    public void handleComment(String comment) {
        //System.out.println("# Comment: " + comment);
    }

    public void handleNamespace(String prefix, String uri) {
        //System.out.println("# Namespace: " + prefix + " => " + uri);
    }

    public void handleStatement(Statement st) {
        graph.add(st.getSubject(), st.getPredicate(), st.getObject());
    }

    public Graph getGraph() {
        return graph;
    }
}
